Projects

circle-info

Who can use these endpoints

You can use any access token to access these endpoints.

Projects

list projects

Get projects

get

This endpoint returns a paginated list of projects. The projects returned are the ones that are public and have a verified organization.

Query parameters
limitnumberRequired

The amount of items to return

Example: 10
pagenumberRequired

The page to return

Example: 0
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Responses
chevron-right
200Success
application/json
get
/projects
200Success

Returns a paginated list of all public projects on ICR.

Callable by any access token regardless of permissions.

list internal projects

Get internal projects - as seen in app

get

This endpoint returns a paginated list of projects as seen in app - may be non-reviewed data.

Query parameters
limitnumberRequired

The amount of items to return

Example: 10
pagenumberRequired

The page to return

Example: 0
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Responses
chevron-right
200Success
application/json
get
/projects/internal
200Success

Returns a paginated list of all projects on ICR.

Callable by any access token with permissions "examiner:read".

Get internal project

Get internal project - as seen in app

get

This endpoint returns the given project as seen in app - may be non-reviewed data.

Path parameters
projectIdstringRequired
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Responses
chevron-right
200Success
application/json
get
/projects/internal/{projectId}
200Success

Returns the project as seen on ICR.

Callable by any access token with permissions "examiner:read".

get project based on credit serialization / creditId

Find a project

get

This endpoint returns a project if it matches the search params. One can search either by setting the serialization of the project's credit or the creditId. The project is returned in the same format as the /projects endpoint.

Query parameters
serializationstringRequired

A credit serialization to find the project by.

Example: ICR-ISL-354-78040-14-R-0-2021
creditIdstringRequired

A credit id to find the project by.

Example: exPost-2-0x51298f2f1142ecb129a2db5e6afd24f34f2e53f1
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Responses
chevron-right
200Success
application/json
citystringOptional

The city of the project

Example: New York
numnumberRequired

Project number. This is a unique identifier for the project

Example: 713
idstringRequired

The ID of the project

Example: 123e4567-e89b-12d3-a456-426614174000
fullNamestringRequired

The full name of the project

Example: Project 1
thumbnailstringOptional

The url of the thumbnail of the project

Example: https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRzKakVt-GHFNrAN9xFd8B26vYVFLyWoUds8w&usqp=CAU
descriptionstringRequired

The description of the project

Example: This is a project
shortDescriptionstringRequired

The short description of the project

Example: This is a project
publicUrlstringRequired

The URL of the project

Example: https://www.carbonregistry.com/explore/projects/47abd663-fb35-4b2e-ad08-c347e761649e
registrystringRequired

The registry of the project

Example: ICR
statusstring · enumRequired

The status of the project

Example: validatedPossible values:
countryCodestringOptional

The ISO 3166-1 alpha-2 country code of the project

Example: US
statestringOptional

The state of the project

Example: New York
startDatestring · date-timeRequired

The start date of the project

Example: 2023-08-01T00:00:00.000Z
creditingPeriodStartDatestring · date-timeRequired

The crediting period start date of the project

Example: 2023-08-01T00:00:00.000Z
estimatedAnnualMitigationsstring[]Required

The estimated annual mitigations of the project in tCO2

Example: [null]
get
/projects/find/project
200Success

If you have a creditId or a serialization for a credit you can use this endpoint to get the project that issued the credits.

Callable by any access token regardless of permissions.

specific project

Get projects

get

This endpoint returns a paginated list of projects. The projects returned are the ones that are public and have a verified organization.

Path parameters
idstringRequired
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Responses
chevron-right
200Success
application/json
get
/projects/{id}
200Success

This endpoint returns the project given the projectId.

Callable by any access token regardless of permissions.

Last updated